## bins 1.1.21

=== Makefile ===

# version of the package
VERSION=1.1.21
# name of the tarball
TARBALL = bins-$(VERSION).tar
# files to put in the tarball
DIST =  bins bins_edit bins_cleanupgallery bins-edit-gui bins-edit-gui.glade \
	bins_txt2xml install.sh binsrc \
	LICENSE README README.gui RELEASE.gui TODO ChangeLog CREDITS \
	doc/*.html doc/*.sgml doc/album.xml \
	doc/bins.1 doc/bins_edit.1 doc/bins-edit-gui.1 \
	doc/bins_man.html doc/bins_edit_man.html doc/bins-edit-gui_man.html \
	templates*/*.html templates*/static/*.* intl/*.po \
	intl/generate_mo.sh \
	intl/fr.mo intl/pl.mo intl/de.mo intl/it.mo intl/ru.mo intl/es.mo\
	intl/zh.mo \
	intl/gui-fr.mo

# name of the dir in the tarball
DIR-DIST = bins-$(VERSION)

# files to publish on the web
PUBLISH = $(TARBALL).gz $(TARBALL).bz2 ChangeLog $(wildcard doc/*.html)

#PUBLISH = $(TARBALL).gz $(TARBALL).bz2 ChangeLog doc/index_fr.html doc/index.html

# where to publish files
PUBLISH-DEST = $(HOME)/public_html/perso/BINS

PUBLISH-TMP = $(PUBLISH:doc/%=%)
PUBLISH-TARGET = $(PUBLISH-TMP:%=$(PUBLISH-DEST)/%)

.PHONY: all install tar publish filepublish wwwpublish upload test album demo famille clean

all:
	@echo "see README file to install bins"
	@echo "publish upload clean"

install: .install

.install: $(TARBALL).gz
	rm -Rf /tmp/bins*
	tar -C /tmp -xzvf $(TARBALL).gz
	sudo mount -o rw,remount /usr
	yes|sudo sh /tmp/$(DIR-DIST)/install.sh
	sudo mount -o ro,remount /usr || true
	touch .install

tar: $(TARBALL).gz

#sudo cp /tmp/$(DIR-DIST)/intl/fr.mo /usr/local/share/locale/fr/LC_MESSAGES/bins.mo

publish: filepublish wwwpublish

filepublish: $(PUBLISH-TARGET)

wwwpublish:
	cd www/xml && make publish

upload: publish
	@if [ `hostname` != "kashmir" ]; then\
		cp -afuv ~/public_html/perso/BINS/* ~/kashmir/public_html/perso/BINS ;\
		ssh kashmir 'PATH=$$PATH:~/bin update_www free' ;\
		ssh kashmir 'PATH=$$PATH:~/bin update_www libertysurf' ;\
	else\
		update_www free ;\
		update_www libertysurf ;\
	fi

test: install
	time bins -p ~/share/pics/test ~/public_html/test

album: install
	time bins -p ~/share/pics/album ~/public_html/album

demo:
	time cp -afuv ~/public_html/album/* ~/kashmir/public_html/album
#	time rsync -avu ~/public_html/album/ ~/kashmir/public_html/album

dormans: .install
	time bins -p ~/share/pics/Dormans ~/kashmir/public_html/photos/Dormans

famille: .install
	time bins -p ~/share/pics/famille ~/kashmir/public_html/photos/famille

clean: 
	rm -f *~ *.old *.tar */*~ .install

#cp Makefile $(DIR-DIST)
#cp bins $(DIR-DIST)/bins.src
$(TARBALL): $(DIST) Makefile
	mkdir $(DIR-DIST)
	cp --parents $^ $(DIR-DIST)
	cp www/xml/*.html www/xml/*.xml $(DIR-DIST)/doc
	change 1.1.21 $(VERSION) $(DIR-DIST)/*
	tar \
	    --exclude=*~ \
	    --exclude=*.old \
	    --exclude=*.bak \
	    --exclude=\#* \
	    -cvf  $(TARBALL) bins-$(VERSION)
	rm -Rf $(DIR-DIST)


$(PUBLISH-DEST)/%.html : doc/%.html
	cp $< $@

$(PUBLISH-DEST)/%: %
	cp $< $@

%_man.html: %.sgml
	docbook2html -o /tmp/$(notdir $@) $<
	mv /tmp/$(notdir $@)/index.html $@
	rmdir /tmp/$(notdir $@)

%.1: %.sgml
	docbook-to-man $< >$@

%.mo: %.po
	msgfmt -o $@ $<

%.gz: %
	gzip -c --best $< >$@

%.bz2: %
	bzip2 -c $< >$@

## bins 1.1.27

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,21 @@
 
 # version of the package
-VERSION=1.1.21
+VERSION=1.1.27
 # name of the tarball
 TARBALL = bins-$(VERSION).tar
 # files to put in the tarball
 DIST =  bins bins_edit bins_cleanupgallery bins-edit-gui bins-edit-gui.glade \
-	bins_txt2xml install.sh binsrc \
+	bins_txt2xml install.sh binsrc anti_bins \
 	LICENSE README README.gui RELEASE.gui TODO ChangeLog CREDITS \
 	doc/*.html doc/*.sgml doc/album.xml \
 	doc/bins.1 doc/bins_edit.1 doc/bins-edit-gui.1 \
 	doc/bins_man.html doc/bins_edit_man.html doc/bins-edit-gui_man.html \
-	templates*/*.html templates*/static/*.* intl/*.po \
+	templates*/*.html templates*/*.txt templates*/static/*.* \
+	bash_completion \
+        intl/*.po \
 	intl/generate_mo.sh \
-	intl/fr.mo intl/pl.mo intl/de.mo intl/it.mo intl/ru.mo intl/es.mo\
-	intl/zh.mo \
+	intl/fr.mo intl/pl.mo intl/de.mo intl/it.mo intl/ru.mo intl/es.mo \
+	intl/zh_TW.mo intl/nl.mo intl/ja.mo intl/eo.mo intl/fi.mo intl/hu.mo \
 	intl/gui-fr.mo
 
 # name of the dir in the tarball
@@ -58,30 +60,30 @@
 	cd www/xml && make publish
 
 upload: publish
-	@if [ `hostname` != "kashmir" ]; then\
+	@if [ `hostname` != "ketama" ]; then\
 		cp -afuv ~/public_html/perso/BINS/* ~/kashmir/public_html/perso/BINS ;\
 		ssh kashmir 'PATH=$$PATH:~/bin update_www free' ;\
 		ssh kashmir 'PATH=$$PATH:~/bin update_www libertysurf' ;\
 	else\
-		update_www free ;\
-		update_www libertysurf ;\
+		update_www tiscali ;\
 	fi
+#		update_www free ;\
 
 test: install
 	time bins -p ~/share/pics/test ~/public_html/test
 
 album: install
-	time bins -p ~/share/pics/album ~/public_html/album
+	time nice -14 bins -p ~/share/pics/album ~/public_html/album
 
 demo:
-	time cp -afuv ~/public_html/album/* ~/kashmir/public_html/album
+	time cp -afuv ~/public_html/album/.??* ~/public_html/album/* ~/kashmir/public_html/album
 #	time rsync -avu ~/public_html/album/ ~/kashmir/public_html/album
 
 dormans: .install
-	time bins -p ~/share/pics/Dormans ~/kashmir/public_html/photos/Dormans
+	time nice -14 bins -p ~/share/pics/Dormans ~/kashmir/public_html/photos/Dormans
 
 famille: .install
-	time bins -p ~/share/pics/famille ~/kashmir/public_html/photos/famille
+	time nice -14 bins -p ~/share/pics/famille ~/kashmir/public_html/photos/famille
 
 clean: 
 	rm -f *~ *.old *.tar */*~ .install
@@ -92,7 +94,7 @@
 	mkdir $(DIR-DIST)
 	cp --parents $^ $(DIR-DIST)
 	cp www/xml/*.html www/xml/*.xml $(DIR-DIST)/doc
-	change 1.1.21 $(VERSION) $(DIR-DIST)/*
+	$(HOME)/bin/change 1.1.27 $(VERSION) $(DIR-DIST)/*
 	tar \
 	    --exclude=*~ \
 	    --exclude=*.old \
@@ -116,8 +118,9 @@
 %.1: %.sgml
 	docbook-to-man $< >$@
 
-%.mo: %.po
-	msgfmt -o $@ $<
+%.mo: %.po bins
+	./intl/generate_mo.sh $<
+#	msgfmt -o $@ $<
 
 %.gz: %
 	gzip -c --best $< >$@

## bins 1.1.29

=== Makefile ===

# version of the package
VERSION=1.1.29
# name of the tarball
TARBALL = bins-$(VERSION).tar
# files to put in the tarball
DIST =  bins bins_edit bins-edit-gui bins-edit-gui.glade \
	install.sh binsrc tools/*_prefix tools/bins_cleanupgallery \
	tools/anti_bins tools/bins_txt2xml tools/bins_addtext \
	LICENSE README README.gui RELEASE.gui TODO ChangeLog CREDITS \
	doc/*.html doc/*.sgml doc/album.xml \
	doc/bins.1 doc/bins_edit.1 doc/bins-edit-gui.1 \
	doc/bins_man.html doc/bins_edit_man.html doc/bins-edit-gui_man.html \
	templates*/*.html templates*/*.js templates*/*.txt \
	templates*/static/*.* \
	bash_completion \
        intl/*.po \
	intl/generate_mo.sh \
	intl/fr.mo intl/pl.mo intl/de.mo intl/it.mo intl/ru.mo intl/es.mo \
	intl/zh_TW.mo intl/nl.mo intl/ja.mo intl/eo.mo intl/fi.mo intl/hu.mo \
	intl/ca.mo intl/gui-fr.mo 

# name of the dir in the tarball
DIR-DIST = bins-$(VERSION)

# files to publish on the website
PUBLISHWWW = $(wildcard doc/*.html)
#PUBLISH = $(TARBALL).gz $(TARBALL).bz2 ChangeLog doc/index_fr.html doc/index.html

# Files to put on donwload area
PUBLISHFILE = $(TARBALL).gz $(TARBALL).gz.sig $(TARBALL).bz2 $(TARBALL).bz2.sig ChangeLog

# where to publish webfiles for plain website
PUBLISH-DEST = $(HOME)/public_html/perso/BINS

# where to publish webfiles for plain gna
PUBLISHGNA-DEST = $(HOME)/src/gna/web/bins

# where to publish download files
PUBLISHFILE-DEST = $(HOME)/src/gna/bins-download


PROC=SGML_CATALOG_FILES=/etc/sgml/catalog xsltproc --catalogs
STYLEDIR=www/xsl

# End of configuration
########################################################################

# File to publish on plain web site (not gna)
PUBLISH = $(PUBLISHFILE) $(PUBLISHWWW)

PUBLISH-TMP = $(PUBLISH:doc/%=%)
PUBLISH-TARGET = $(PUBLISH-TMP:%=$(PUBLISH-DEST)/%)

PUBLISHGNA-TMP = $(PUBLISHWWW:doc/%=%)
PUBLISHGNA-TARGET = $(PUBLISHGNA:%=$(PUBLISHGNA-DEST)/%)

PUBLISHFILE-TARGET = $(PUBLISHFILE:%=$(PUBLISHFILE-DEST)/%)

.PHONY: all install tar publish filepublish wwwpublish upload test album demo famille clean cvs arch website

all:
	@echo "see README file to install bins"
	@echo "publish upload clean"

install: .install

.install: $(TARBALL).gz
	rm -Rf /tmp/bins*
	tar -C /tmp -xzvf $(TARBALL).gz
	sudo mount -o rw,remount /usr
	yes|sudo sh /tmp/$(DIR-DIST)/install.sh
	sudo mount -o ro,remount /usr || true
	touch .install

tar: $(TARBALL).gz

#sudo cp /tmp/$(DIR-DIST)/intl/fr.mo /usr/local/share/locale/fr/LC_MESSAGES/bins.mo

publish: filepublish wwwpublish gnapublish

filepublish: $(PUBLISHFILE-TARGET)

gnapublish: $(PUBLISHGNA-TARGET) www/xml/depends.tabular
	cd www/xml && make publishgna

wwwpublish: $(PUBLISH-TARGET) www/xml/depends.tabular
	cd www/xml && make publish

website: www/xml/depends.tabular
	cd www/xml && make all

www/xml/depends.tabular:
	touch www/xml/depends.tabular	

release: upload repo fileupload gnaupload

upload: publish 
	@if [ `hostname` != "ketama" ]; then\
		cp -afuv ~/public_html/perso/BINS/* ~/kashmir/public_html/perso/BINS ;\
		ssh kashmir 'PATH=$$PATH:~/bin update_www free' ;\
		ssh kashmir 'PATH=$$PATH:~/bin update_www libertysurf' ;\
	else\
		update_www tiscali ;\
	fi
#		update_www free ;\

gnaupload: gnapublish
	cd $(PUBLISHGNA-DEST) && cvs commit

fileupload: filepublish
	cd $(PUBLISHFILE-DEST) && rsync --delete -avr --rsh="ssh" . zubro@download.gna.org:/upload/bins || true

test: install
	time bins -p ~/share/pics/test ~/public_html/test

album: install
	time nice -14 bins -p ~/share/pics/album ~/public_html/album

demo:
	rsync --stats --progress -vac -e ssh ~/public_html/album/ kashmir:public_html/album/
#	time cp -afuv ~/public_html/album/.??* ~/public_html/album/* ~/kashmir/public_html/album
#	time rsync -avu ~/public_html/album/ ~/kashmir/public_html/album

dormans: .install
	time nice -14 bins -p ~/share/pics/Dormans ~/kashmir/public_html/photos/Dormans

famille: .install
	time nice -14 bins -p ~/share/pics/famille ~/kashmir/public_html/photos/famille

repo: cvs arch

cvs:
	rsync --stats --progress -vac -e ssh /home/jerome/share/cvs/ kashmir:/var/lib/cvs

arch:
	baz archive-mirror

backup_album:
	rsync --stats --progress -vac -e ssh /home/jerome/share/pics/album/ kashmir:share/pics/album

clean: 
	rm -f *~ *.old *.tar */*~ .install *.sign *.tar *.tar.bz2 *.tar.gz

#cp Makefile $(DIR-DIST)
#cp bins $(DIR-DIST)/bins.src
$(TARBALL): $(DIST) Makefile
	make website
	rm -Rf bins-$(VERSION) || true
	mkdir $(DIR-DIST)
	cp --parents $^ $(DIR-DIST)
	cp www/xml/*.html www/xml/*.xml $(DIR-DIST)/doc
	$(HOME)/bin/change 1.1.29 $(VERSION) $(DIR-DIST)/*
	tar \
	    --exclude=*~ \
	    --exclude=*.old \
	    --exclude=*.bak \
	    --exclude=\#* \
	    -cvf  $(TARBALL) bins-$(VERSION)
	rm -Rf $(DIR-DIST)


$(PUBLISH-DEST)/%.html : doc/%.html
	cp $< $@

$(PUBLISH-DEST)/%: %
	cp $< $@

$(PUBLISHGNA-DEST)/%.html : doc/%.html
	cp $< $@

$(PUBLISHGNA-DEST)/%: %
	cp $< $@

$(PUBLISHFILE-DEST)/%: %
	cp $< $@

%.sig: %
	gpg --yes --use-agent --detach-sign $< 

%_man.html: %.sgml
	docbook2html -o /tmp/$(notdir $@) $<
	mv /tmp/$(notdir $@)/index.html $@
	rmdir /tmp/$(notdir $@)

%.1: %.sgml
	docbook-to-man $< >$@

%.mo: %.po bins
	./intl/generate_mo.sh $<
#	msgfmt -o $@ $<

%.gz: %
	gzip -c --best $< >$@

%.bz2: %
	bzip2 -c $< >$@

=== debian/changelog ===
bins (1.1.29-16) unstable; urgency=low

  [ David Prévot ]
  * debian/patches/39_fix_local_install Fix /usr/local… path (Closes: #684412)
  * remove debian/patches/37_bins_thumbnails
    Drop the #196310 fix that breaks subdirectories (Closes: #684415)

  [ Ludovic Rousseau ]
  * ACK NMU by David Prévot

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 16 Aug 2012 19:28:34 -0400

bins (1.1.29-15) unstable; urgency=low

  * Fix "include size of linked movie file in thumb*.html and imagelist.html"
    (Closes: #402458)
  * Fix "thumbnails in independent directory" (Closes: #196310)
  * Fix "doesn't find search.js when using non default template"
    (Closes: #411149)

 -- Boro Sitnikovski <buritomath@yahoo.com>  Mon, 18 Jun 2012 19:02:08 +0200

bins (1.1.29-14) unstable; urgency=low

  * Fix "Original .png files result in .jpg files but containing PNG
    data" convert any input file format as "JPEG" output (Closes: #235272)
  * Fix lintian warning:
    W: bins source: debian-rules-missing-recommended-target build-arch
  * debian/control: Standards-Version: 3.8.3 -> 3.9.3. No change needed
  * debian/rules: dh_clean -k is deprecated; use dh_prep instead
  * patch bins.1 directly instead of patching bins.sgml and generating a
    bins.1 manpage. debian/rules do not "patch" any file now, only quilt does
    that.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 09 Jun 2012 17:37:19 +0200

bins (1.1.29-13) unstable; urgency=low

  * debian/control: add Depends: ${misc:Depends}
    W: bins source: debhelper-but-no-misc-depends bins
  * move to source package format version "3.0 (quilt)"
  * debian/control: Standards-Version: 3.7.3 -> 3.8.3. No change needed
  * debian/patches/*: convert to DEP-3 "Patch Tagging Guidelines"
  * debian/patches/34_bins.1: spelling-error-in-manpage
    usr/share/man/man1/bins.1.gz

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Jan 2010 15:13:31 +0100

bins (1.1.29-12) unstable; urgency=low

  * move from dpatch to quilt to manage Debian patches
  * debian/patches/23_bashism: Closes: #489542 "bins: bashism in /bin/sh
    script"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 06 Aug 2008 21:30:47 +0200

bins (1.1.29-11) unstable; urgency=low

  * debian/patches/22_bins-hash-ref.dpatch: Crashes mid-album
    (Closes: #481662)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 22 May 2008 21:05:41 +0200

bins (1.1.29-10) unstable; urgency=low

  * debian/control:
   - use the Homepage: field
   - add Vcs-Svn: and Vcs-Browser: fields
   - Standards-Version: 3.7.2 -> 3.7.3. no change needed
  * do not package bins-edit-gui since it depends on Gtk+ 1.x and this is no
    more available in Debian. Closes: #471949: "bins-edit-gui asks to install
    non-existing package"
  * debian/rules: use binary-indep: instead of binary-arch: target to avoid a
    binary-arch-rules-but-pkg-is-arch-indep lintian warning
  * debian/patches/21_bins-trim.dpatch: add -trim argument to jpegtran.
    Closes: #284157: "bins: avoidable jpegtran image corruption"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 21 Mar 2008 17:52:15 +0100

bins (1.1.29-9) unstable; urgency=low

  * debian/patches/{18_bins-memory-leak,19_bins-insert-directory,
    20_bins-syscall}.dpatch: Closes: #395098 "Bins is very slow, eats memory
    and makes unnecessary system calls"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Aug 2007 18:23:53 +0200

bins (1.1.29-8) unstable; urgency=low

  * debian/patches/17_bins.dpatch: use localtime instead of gmtime
    Closes: #431432

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Jul 2007 22:26:01 +0200

bins (1.1.29-7) unstable; urgency=low

  [ Martin Michlmayr ]
  * debian/copyright: Mention license and copyright of the Debian
    packaging.
  * debian/control (Build-Depends-Indep): Move dpatch from here...
  * debian/control (Build-Depends): ... to here.  Thanks, Pierre Habouzit.

  [ Ludovic Rousseau ]
  * debian/patches/14_bins-edit-gui.dpatch: Closes: #386423 "bins: Can't
    locate Gtk/GladeXML.pm"
  * debian/patches/15_example_css.dpatch: Closes: #392439 "bins/index.html:
    blue characters upon a blue background"
  * debian/patches/16_examples_html.dpatch: correct a broken link (use the
    image from http://bins.sautret.org/ instead of a local copy)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 21 Nov 2006 22:22:10 +0100

bins (1.1.29-6) unstable; urgency=low

  [ Martin Michlmayr ]
  * debian/patches/13_locale_encoding.dpatch: Remove stray "print" from
    the copyright statement that is printed when the program is called.
    Closes: #350074.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Jan 2006 13:15:02 +0000

bins (1.1.29-5) unstable; urgency=medium

  [ Martin Michlmayr ]
  * debian/patches/13_locale_encoding.dpatch: Replace the patch with one
    from upstream.  The previous one led to broken HTML generation.
    Closes: #349945.
  * debian/watch: Fix URL and upgrade to version 3.
  * debian/compat: Switch to debhelper compat mode 5.
  * debian/control (Build-Depends): Depend on new debhelper.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 26 Jan 2006 16:14:39 +0000

bins (1.1.29-4) unstable; urgency=low

  [ Martin Michlmayr ]
  * debian/README.Debian: Remove the paragraph about the situation of
    bins-edit-gui and "Suggests" since the packages have been upgraded
    to "Recommends" in 1.1.29-3.
  * debian/patches/09_fix_wrong_relpath.dpatch: Don't produce broken
    links with linkRelative when the source and target directories start
    with the same letter.  Closes: #334088.
  * debian/patches/10_symlinks_movies.dpatch: Support linkInsteadOfCopy
    for movie files.  Closes: #334064.
  * debian/patches/11_check_template_style.dpatch: Check if the specified
    template style exists before processing images.  Closes: #308114.
  * debian/patches/12_optional_xml_elements.dpatch: Make XML elements
    optional and check whether the XML files are valid bins files.
    Closes: #308338.


=== debian/control ===
Source: bins
Section: web
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Boro Sitnikovski <buritomath@yahoo.com>
Build-Depends: debhelper (>> 5.0.0)
Build-Depends-Indep: gettext
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-bins/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-bins/trunk/
Homepage: http://bins.sautret.org/

Package: bins
Architecture: all
Depends: libio-string-perl, libimage-size-perl, libimage-info-perl, perlmagick, libhtml-parser-perl, libhtml-template-perl, liburi-perl, libxml-perl, libxml-grove-perl, libxml-handler-yawriter-perl, libtext-iconv-perl, liblocale-gettext-perl, libjpeg-progs, libxml-writer-perl, libxml-xql-perl, libhtml-clean-perl, libtimedate-perl, libtext-unaccent-perl, ${misc:Depends}
Description: Generate static HTML photo albums using XML and EXIF tags
 BINS generates a complete static gallery (images and HTML) with
 thumbnails and image lists, using XML files to hold information about
 each image.  Includes bins_edit tool for adding
 information to the XML files.  Interprets EXIF and JFIF tags (and
 Canon extensions) in the jpeg directly.  Gallery appearance
 customizable through HTML templates; gallery can be generated in
 different languages.
 .
 Based on SWIGS (Structured Web Image Gallery System).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LFILES=$(subst intl/,,$(wildcard intl/??.mo))
LANGS=$(LFILES:.mo=)
GUILFILES=$(subst intl/gui-,,$(wildcard intl/gui-??.mo))
GUILANGS=$(GUILFILES:.mo=)

CFLAGS += -g
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/bins.
	echo | ( DESTDIR=`pwd`/debian/bins PREFIX=/usr ./install.sh )
	install -m 0755 tools/bins_cleanupgallery debian/bins/usr/bin/

	install -m 0755 tools/add_num_prefix debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/anti_bins debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/bins_addtext debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/bins_txt2xml debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/remove_num_prefix debian/bins/usr/share/doc/bins/examples/

	# install HTML documentation
	cp doc/*html debian/bins/usr/share/doc/bins/

	# remove bins-edit-gui since it depends on Gtk+ 1.x
	find debian -name "bins-edit-gui*" -exec rm {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://download.gna.org/bins/ \
    bins-(.*)\.tar\.gz
